import { Origami } from './types';
export declare namespace config {
    /**
     * Converts origami_x_y envrionment variables to an object
     * @returns {Object} Object of origami environment variables
    */
    const env: (obj?: {}) => object;
    /**
     * Attempt to load the .origami file at the current directory. Overwrites with any ENV variables
     * @returns {Origami.Config|Boolean} The Origami file as json, or false if it cannot be
     * found or loaded correctly
    */
    const read: () => Promise<false | Origami.Config>;
    /**
     * Override/write the .origami file
     * @param file JSON config for Origami app to override
     */
    const write: (file: Origami.Config) => Promise<void>;
    const validate: (config: Origami.Config) => void;
}
