const _log = (type, object, ...rest) => {
    let icon = 'ℹ️';
    const obj = object ? `.${object}` : '';
    let color = 'magenta';
    switch (type) {
        case 'error':
            icon = '❌';
            color = 'red';
            break;
        case 'success':
            icon = '✅';
            color = 'green';
            break;
        case 'info':
            icon = 'ℹ️';
            color = 'blue';
            break;
    }
    console.log(icon, ` Origami${obj}:`[color], ...rest);
};
export const success = (object, ...message) => _log('success', object, ...message);
export const info = (object, ...message) => _log('info', object, ...message);
export const log = (object, ...message) => _log('log', object, ...message);
export const error = (objOrError, error) => {
    if (objOrError instanceof Error)
        _log('error', objOrError.message.red);
    else if (error instanceof Error)
        _log('error', objOrError, error.message.red);
    else if (error)
        _log('error', objOrError, error.red);
};
//# sourceMappingURL=logs.js.map